--- linux-2.6.27.6/drivers/hid/hid-core.c	2008-11-14 01:56:21.000000000 +0800
+++ linux-2.6.27.6.yaffs/drivers/hid/hid-core.c	2011-05-08 18:00:15.000000000 +0800
@@ -44,6 +44,7 @@
 
 #ifdef CONFIG_HID_DEBUG
 int hid_debug = 0;
+//int hid_debug = 1;
 module_param_named(debug, hid_debug, int, 0600);
 MODULE_PARM_DESC(debug, "HID debugging (0=off, 1=probing info, 2=continuous data dumping)");
 EXPORT_SYMBOL_GPL(hid_debug);
@@ -472,6 +473,7 @@
  * Process a main item.
  */
 
+void prom_printf();
 static int hid_parser_main(struct hid_parser *parser, struct hid_item *item)
 {
 	__u32 data;
@@ -479,6 +481,8 @@
 
 	data = item_udata(item);
 
+//	printk("---1----%s----------\n",__func__);
+//	prom_printf("---1----%s----------\n",__func__);
 	switch (item->tag) {
 		case HID_MAIN_ITEM_TAG_BEGIN_COLLECTION:
 			ret = open_collection(parser, data & 0xff);
@@ -948,10 +952,13 @@
 
 int hid_input_report(struct hid_device *hid, int type, u8 *data, int size, int interrupt)
 {
+
 	struct hid_report_enum *report_enum = hid->report_enum + type;
 	struct hid_report *report;
 	int n, rsize, i;
 
+//	printk("---1----%s----------\n",__func__);
+//	prom_printf("---1----%s----------\n",__func__);
 	if (!hid)
 		return -ENODEV;
 
@@ -970,8 +977,14 @@
 
 	/* dump the report */
 	dbg_hid("report %d (size %u) = ", n, size);
+//	printk("----------------------------------\n");
+#if 0 //mj
 	for (i = 0; i < size; i++)
+	{
 		dbg_hid_line(" %02x", data[i]);
+		printk(" %02x", data[i]);
+	}
+#endif
 	dbg_hid_line("\n");
 
 	if (!(report = report_enum->report_id_hash[n])) {
@@ -1000,7 +1013,11 @@
 		hid_input_field(hid, report->field[n], data, interrupt);
 
 	if (hid->claimed & HID_CLAIMED_INPUT)
+	{
+//	printk("---2----%s----------\n",__func__);
+//	prom_printf("---2----%s----------\n",__func__);
 		hidinput_report_event(hid, report);
+	}
 
 	return 0;
 }
